<template>
    <el-aside width="200px">
        <el-menu
        class="el-menu-vertical-demo"
        background-color="#545c64"
        text-color="#fff"
        :collapse="fasle"
      >
      <el-menu-item :index="item.path" v-for="item in noChildren()" :key="item.path">
          <!-- <el-icon><icon-menu /></el-icon> -->
          <component :is="item.icon" class="icons"></component>
          <span>{{ item.label }}</span>
        </el-menu-item>
        <el-sub-menu index="item,label" v-for="item in hasChildren()" :key="item.path">
          <template #title>
            <component :is="item.icon" class="icons"></component>
          <span>{{ item.label }}</span>
          </template>
          <el-menu-item-group >
            <el-menu-item :index="subItem.path" v-for="(subItem ,index) in item.children" :key="index">
                <component :is="subItem.icon" class="icons"></component>
                <span>{{ subItem.label }}</span>
            </el-menu-item>
          </el-menu-item-group>
        </el-sub-menu>
      </el-menu>
      </el-aside>
</template>
<script>
export default{
    setup() {
        const list = [
        {
          path: '/',
          name: 'home',
          label: '首页',
          icon: 's-home',
          url: 'Home/Home'
        },
        {
          path: '/mall',
          name: 'mall',
          label: '商品管理',
          icon: 'video-play',
          url: 'MallManage/MallManage'
        },
        {
          path: '/user',
          name: 'user',
          label: '用户管理',
          icon: 'user',
          url: 'UserManage/UserManage'
        },
        {
          label: '其他',
          icon: 'location',
          path:'/other',
          children: [
            {
              path: '/page1',
              name: 'page1',
              label: '页面1',
              icon: 'setting',
              url: 'Other/PageOne'
            },
            {
              path: '/page2',
              name: 'page2',
              label: '页面2',
              icon: 'setting',
              url: 'Other/PageTwo'
            }
          ]
        }
      ];
      const noChildren = ()  =>{
        return list.filter((item) => !item.children);
      };
      const hasChildren = ()  =>{
        return list.filter((item) => item.children);
      };
      return{
        hasChildren,
        noChildren
      }
    }
}
</script>
<style scoped lang="less">
.icons{
    width: 18px;
    height: 18px;
    padding-right: 10px;
}

</style>